Subject: bug#23476: 25.0.93; Visiting C files on master signals an error

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 May 2016 05:34:30 +0300

> From: Óscar Fuentes <[email-masked]>
> Date: Mon, 09 May 2016 22:46:22 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Btw, I noticed that CC Mode is quite a bit slower on master than it is
> > on emacs-25 (try searching for "IF_LINT" in xdisp.c), is that related
> > to these changes in any way?
> 
> FWIW, I'm using master version
> 
> GNU Emacs 25.0.92.4 (x86_64-pc-linux-gnu, X toolkit) of 2016-04-23
> 
> which includes the noise macros feature. Searching for IF_LINT in
> xdisp.c is instantaneous. Also, on my work with large-ish C++ source
> files I didn't observe any slow down.

How (with what configure-time options) was your binary built?  Is it
an optimized build?

And btw, 25.0.93 is not a master branch version, it's an emacs-25
branch version.  The slowdown I saw was in 25.1.50.106.